summaryrefslogtreecommitdiffstats
path: root/source/xap/gnuchess/gnuchess.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/gnuchess/gnuchess.SlackBuild')
-rwxr-xr-xsource/xap/gnuchess/gnuchess.SlackBuild33
1 files changed, 23 insertions, 10 deletions
diff --git a/source/xap/gnuchess/gnuchess.SlackBuild b/source/xap/gnuchess/gnuchess.SlackBuild
index 4e2fa415e..92932f30e 100755
--- a/source/xap/gnuchess/gnuchess.SlackBuild
+++ b/source/xap/gnuchess/gnuchess.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,12 +20,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERGNUCHESS=6.2.2
+PKGNAM=gnuchess
+VERGNUCHESS=6.2.5
VERSJENG=11.2
VEREBOARD=1.1.1
-VERXBOARD=4.8.0
-BUILD=${BUILD:-1}
+VERXBOARD=4.9.1
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -37,6 +39,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERGNUCHESS-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -49,7 +59,6 @@ else
SLKCFLAGS="-O2"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=/tmp/package-gnuchess
@@ -73,7 +82,8 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--mandir=/usr/man \
--infodir=/usr/info \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -97,7 +107,8 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -124,7 +135,8 @@ find . \
./configure \
--prefix=/usr \
--extra-flags=$(echo $SLKCFLAGS | sed -e "y/ /:/") \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -154,7 +166,8 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--with-gtk \
--enable-zippy \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
install -c cmail $PKG/usr/bin/cmail